在CAD中为了测量两个图块间的间距,可采用DI命令,但是量大的时候,会很费时间,特别在算量过程中,经常要用到。

1、新建一个TXT文件,并命名,方便以后查找

CAD怎么快测量两个图块间的间距?

2、打开,将以下代码复制进去(其中第一句代码(defun c:ZDBZ (/ I E p1 p2 p3 x1 x2 x3 y1 y2 y3 xx yy l)里的ZDBZ为快捷方式,可根据需要自己修改)

(defun c:ZDBZ (/ I E p1 p2 p3 x1 x2 x3 y1 y2 y3 xx yy l)

  (setq I 0)

  (while (setq E (entsel))

    (setq p1 p2)

    (setq E (cdr (assoc 10 (entget (car E))))

          I (1+ I)

    )

    (setq p2 E)

    (if (> I 1)

       (command "dimaligned" p1 p2 p2)

     )

  )

  (command "")

  (princ I)

  (princ)

)

CAD怎么快测量两个图块间的间距?

3、将.txt后缀名改为.lsp

CAD怎么快测量两个图块间的间距?

4、打开CAD,09版以上可在管理——加载应用程序里加载程序,08版及以下可在工具——加载应用程序里加载程序

CAD怎么快测量两个图块间的间距?

5、选择刚才编好的程序文件

CAD怎么快测量两个图块间的间距?

6、点击加载命令行会提示加载成功

CAD怎么快测量两个图块间的间距?

7、准备工作已做完,可在命令行里输入快捷方式ZDBZ(或你修改后的),根据命令行提示进行标注

CAD怎么快测量两个图块间的间距?

8、按顺序选择对象,即可完成

CAD怎么快测量两个图块间的间距?

发表评论

您的电子邮箱地址不会被公开。